Subject: RE: bug#26299: 24.5; Use of `…' in Info

From: Drew Adams <[email-masked]>
Date: Mon, 12 Jun 2017 07:52:30 -0700 (PDT)

> > Dunno whether you want a separate bug report for this, but here
> > is a related problem that is even worse, IMO: The character
> > RIGHTWARDS ARROW FROM BAR (#x421) is no good in Info, at least
> > in some fonts. It is too narrow. Previously Emacs used `==>'
> > instead of that char. See attached screenshot, where the font
> > is (for some reason):
> > -outline-MS Gothic-normal-normal-normal-mono-14-*-*-*-c-*-jisx0208*-*
> > The font for the rest of the chars in that screenshot is:
> > -outline-Lucida Console-normal-normal-normal-mono-14-*-*-*-c-*-iso8859-1.
> > Don't ask me why Emacs uses that font for that char - I have no
> > idea. (And yes, to Eli's typical response to questions about
> > fonts for odd chars, I do have Symbola installed. But Emacs
> > doesn't seem to use it, here.)
> 
> Granted, I cannot reproduce this.  I tried on 2 systems, and on both
> this character (whose codepoint is #x21a6, btw, not #x421) is
> displayed using Symbola.
> 
> Does this happen for you in "emacs -Q" as well?  If not, can you tell
> what customizations related to fonts or faces do you have that could
> cause this?
> 
> If "emacs -Q" shows the same problem, then I guess it's some issue
> related to what fonts you have installed (e.g., could it be that your
> Symbola is outdated and doesn't cover that character?) or something
> like that.  I could propose a couple of solutions if that is the case,
> if you want to solve it locally.

OK, sorry for some noise.

The character is fine in Emacs 25.2.1, both in emacs -Q and with
my setup.  And the font is Symbola in both.

The problem is apparently in Emacs 24.5.  (And yes, the char is
0x21A6, in both releases.)  The problem exists in 24.5 for both
emacs -Q and my setup.  And the font is the same in both - the
font I showed earlier (MS Gothic...jisx0208).

The problem was apparently introduced in Emacs 24.5, when that
char was used for the first time, here.  It was apparently
fixed in 25.1.

(HTH in some way, but probably it does not.)